/* 트위터 스타일 */
/* 전역 프로필 사이즈 변수 */
:root {
  --style-profile-size: 3rem;    /* 아바타 크기 */
  --style-profile-gap: 0.8rem;   /* 아바타와 텍스트 사이 간격 */
}


/* 트위터 본문 타래 스타일 */
.twitter-style > :is(p, div,li) {
  position: relative;
  text-indent: 0!important;
  font-size: inherit;
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
  margin: 0 0 1.2rem 0;
  padding: 1rem;
  padding-left: calc(var(--style-profile-size) + var(--style-profile-gap) + 1rem);
  border-radius: 0;
  min-height: calc(var(--style-profile-size));
}

.twitter-style p {
  text-indent: 0!important;
}

.twitter-style {
  background: var(--wp--preset--color--white);
  border-top: 1px solid var(--wp--preset--color--accent-6);
  border-bottom: 1px solid var(--wp--preset--color--accent-6);
}

/* 왼쪽 동그라미 (아바타 자리) */
.twitter-style > :is(p, div,li)::before {
  content: "";
  position: absolute;
  left: var(--style-profile-gap);
  top: 1rem;
  width: var(--style-profile-size);
  height: var(--style-profile-size);
  border-radius: 50%;
  background: url("https://pbs.twimg.com/profile_images/1963302119001444352/voYXolZl_400x400.jpg") no-repeat center / cover;
}

/* 세로선 */
.twitter-style > :is(p, div,li)::after {
    content: "";
    position: absolute;
    left: calc(var(--style-profile-gap) + (var(--style-profile-size) / 2) - 1px);
    top: calc(var(--style-profile-size) / 2 + var(--style-profile-size));
    width: 2px;
    height: calc(100% - var(--style-profile-size) * 1.4);
    background: var(--wp--preset--color--accent-6);
}

/* 마지막 문단은 선 없애기 */
.twitter-style > :is(p, div,li):last-child::after {
  display: none;
}

/* 답글 아닌 스타일 */
.twitter-style.no-thread > :is(p, div,li)::after {
  display: none;
}

.twitter-style.no-thread > :is(p, div,li) {
  border-bottom: 1px solid var(--wp--preset--color--accent-6);
}

.twitter-style.no-thread > :is(p, div,li):last-child {
  border-bottom: none;
}

/* 트위터 이미지 스타일 */
.twitter-style > * img {
  border: 1px solid var(--wp--preset--color--accent-6);
  border-radius: 1.2em;
}

/* 트위터 스타일 프사 */
.twitter-style.etc > :is(p, div,li)::before,
.twitter-style > .etc:is(p, div,li)::before {
  background: url(https://pbs.twimg.com/profile_images/1987802672230248448/aLyeXaKr_400x400.jpg) no-repeat center / cover; }